Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.heuristic.selector.value
Class ValueSelectorConfig

    java.lang.Object
      org.drools.planner.config.heuristic.selector.SelectorConfig
          org.drools.planner.config.heuristic.selector.value.ValueSelectorConfig

    public class ValueSelectorConfig

extends SelectorConfig

Field Summary
`protected SelectionCacheType` | `cacheType`
`protected Class<? extends SelectionProbabilityWeightFactory>` | `probabilityWeightFactoryClass`
`protected SelectionOrder` | `selectionOrder`
`protected String` | `variableName`

Constructor Summary
`ValueSelectorConfig()`

Method Summary
`ValueSelector` | `buildValueSelector(EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, PlanningEntityDescriptor entityDescriptor, SelectionCacheType minimumCacheType, SelectionOrder inheritedSelectionOrder)`
`protected boolean` | `determineBaseRandomSelection(PlanningVariableDescriptor variableDescriptor, SelectionCacheType resolvedCacheType, SelectionOrder resolvedSelectionOrder)`
`SelectionCacheType` | `getCacheType()`
`Class<? extends SelectionProbabilityWeightFactory>` | `getProbabilityWeightFactoryClass()`
`SelectionOrder` | `getSelectionOrder()`
`String` | `getVariableName()`
`void` | `inherit(ValueSelectorConfig inheritedConfig)`
`protected boolean` | `isBaseInherentlyCached(PlanningVariableDescriptor variableDescriptor)`
`void` | `setCacheType(SelectionCacheType cacheType)`
`void` | `setProbabilityWeightFactoryClass(Class<? extends SelectionProbabilityWeightFactory> probabilityWeightFactoryClass)`
`void` | `setSelectionOrder(SelectionOrder selectionOrder)`
`void` | `setVariableName(String variableName)`
`String` | `toString()`

Methods inherited from class org.drools.planner.config.heuristic.selector.SelectorConfig
`deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptors, inherit, validateCacheTypeVersusSelectionOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### variableName

    protected String variableName

### cacheType

    protected SelectionCacheType cacheType

### selectionOrder

    protected SelectionOrder selectionOrder

### probabilityWeightFactoryClass

    protected Class<? extends SelectionProbabilityWeightFactory> probabilityWeightFactoryClass

Constructor Detail

### ValueSelectorConfig

    public ValueSelectorConfig()

Method Detail

### getVariableName

    public String getVariableName()

### setVariableName

    public void setVariableName(String variableName)

### getCacheType

    public SelectionCacheType getCacheType()

### setCacheType

    public void setCacheType(SelectionCacheType cacheType)

### getSelectionOrder

    public SelectionOrder getSelectionOrder()

### setSelectionOrder

    public void setSelectionOrder(SelectionOrder selectionOrder)

### getProbabilityWeightFactoryClass

    public Class<? extends SelectionProbabilityWeightFactory> getProbabilityWeightFactoryClass()

### setProbabilityWeightFactoryClass

    public void setProbabilityWeightFactoryClass(Class<? extends SelectionProbabilityWeightFactory> probabilityWeightFactoryClass)

### buildValueSelector

    public ValueSelector buildValueSelector(EnvironmentMode environmentMode,
                                            SolutionDescriptor solutionDescriptor,
                                            PlanningEntityDescriptor entityDescriptor,
                                            SelectionCacheType minimumCacheType,
                                            SelectionOrder inheritedSelectionOrder)

  Parameters:
    `environmentMode` - never null
    `solutionDescriptor` - never null
    `entityDescriptor` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `inheritedSelectionOrder` - never null
  Returns:
    never null

### determineBaseRandomSelection

    protected boolean determineBaseRandomSelection(PlanningVariableDescriptor variableDescriptor,
                                                   SelectionCacheType resolvedCacheType,
                                                   SelectionOrder resolvedSelectionOrder)

### isBaseInherentlyCached

    protected boolean isBaseInherentlyCached(PlanningVariableDescriptor variableDescriptor)

### inherit

    public void inherit(ValueSelectorConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectorConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.